(function() {
    tinymce.create('tinymce.plugins.GamingDeliveryNetworkButtonSetPlugin', {
        init: function(ed, url) {
            // Register commands, mceMyown is name of command to be executed.
            ed.addCommand('mceGamingDeliveryNetworkButtonWall', function() {                
                ed.windowManager.open({
                    file: url + '/btnWall.htm',
                    width: 350 + parseInt(ed.getLang('GamingDeliveryNetworkButtonSet.delta_width', 0)),
                    height: 350 + parseInt(ed.getLang('GamingDeliveryNetworkButtonSet.delta_height', 0)),
                    inline: 1
                }, {
                    plugin_url: url
                });
            });

            // Register buttons,this is the button will be displayed on wordpress rich editor
            ed.addButton('GamingDeliveryNetworkButtonWall', { title: 'Insert Gaming Delivery Network Wall', cmd: 'mceGamingDeliveryNetworkButtonWall', image: url + '/menu_wall.jpeg' });
        },

        getInfo: function() {
            return {
                longname: 'Insert Gaming Delivery Network Wall',
                author: 'Gaming Delivery Network',
                authorurl: 'http://www.gamingdeliverynetwork.com',
                infourl: 'http://www.gamingdeliverynetwork.com',
                version: tinymce.majorVersion + "." + tinymce.minorVersion
            };
        }
    });

    // Register plugin
    tinymce.PluginManager.add('GamingDeliveryNetworkButtonSet', tinymce.plugins.GamingDeliveryNetworkButtonSetPlugin);
})();